Server.AbstractSecureIntializer (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.transport

## Class Server.AbstractSecureIntializer

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - io.netty.channel.ChannelInitializer
      - - org.apache.cassandra.transport.Server.AbstractSecureIntializer

- All Implemented Interfaces:
    io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler
  Enclosing class:
    Server

      protected abstract static class Server.AbstractSecureIntializer
      extends io.netty.channel.ChannelInitializer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractSecureIntializer(Server server, EncryptionOptions encryptionOptions)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected io.netty.handler.ssl.SslHandler` | `createSslHandler()`

    - ### Methods inherited from class io.netty.channel.ChannelInitializer

      `channelRegistered, exceptionCaught, handlerAdded`

    - ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

      `channelActive, channelInactive, channelRead, channelReadComplete, channelUnregistered, channelWritabilityChanged, userEventTriggered`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `handlerRemoved, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `handlerRemoved`

- - ### Constructor Detail

    - #### AbstractSecureIntializer

          protected AbstractSecureIntializer(Server server,
                                             EncryptionOptions encryptionOptions)

  - ### Method Detail

    - #### createSslHandler

          protected final io.netty.handler.ssl.SslHandler createSslHandler()

Copyright © 2018 The Apache Software Foundation